 /*
  * Copyright (C), 2018-2021
  * Project: starter
  * FileName: OneAccessConfig
  * Author:   Louis
  * Date:     2021/3/30 9:38
  */
 package com.fr.plugin.j7814.config;

 import com.fanruan.api.util.StringKit;
 import com.fr.config.*;
 import com.fr.config.holder.Conf;
 import com.fr.config.holder.factory.Holders;
 import com.fr.intelli.record.Focus;
 import com.fr.intelli.record.Original;

 /**
  * <Function Description><br>
  * <SsoConfig>
  *
  * @author Louis
  * @since 1.0.0
  */
 @Visualization(category = "Plugin-J7814-Sso_Group")
 public class SsoConfig extends DefaultConfiguration {
     public static final String PLUGIN_ID = "com.fr.plugin.j7814";

     private static volatile SsoConfig config = null;

     @Focus(id = PLUGIN_ID, text = "Plugin-J7814-Sso", source = Original.PLUGIN)
     public static SsoConfig getInstance() {
         if (config == null) {
             config = ConfigContext.getConfigInstance(SsoConfig.class);
         }
         return config;
     }

     @Identifier(value = "clientId", name = "Plugin-J7814-Sso_Config_clientId", description = "Plugin-J7814-Sso_Config_clientId_Description", status = Status.SHOW)
     private Conf<String> clientId = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "clientSecret", name = "Plugin-J7814-Sso_Config_clientSecret", description = "Plugin-J7814-Sso_Config_clientSecret_Description", status = Status.SHOW)
     private Conf<String> clientSecret = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "ipgUrl", name = "Plugin-J7814-Sso_Config_ipgUrl", description = "Plugin-J7814-Sso_Config_ipgUrl_Description", status = Status.SHOW)
     private Conf<String> ipgUrl = Holders.simple(StringKit.EMPTY);
     @Identifier(value = "publicKey", name = "Plugin-J7814-Sso_Config_publicKey", description = "Plugin-J7814-Sso_Config_publicKey_Description", status = Status.SHOW)
     private Conf<String> publicKey = Holders.simple(StringKit.EMPTY);

     public String getClientId() {
         return clientId.get();
     }

     public void setClientId(String clientId) {
         this.clientId.set(clientId);
     }

     public String getClientSecret() {
         return clientSecret.get();
     }

     public void setClientSecret(String clientSecret) {
         this.clientSecret.set(clientSecret);
     }

     public String getIpgUrl() {
         return ipgUrl.get();
     }

     public void setIpgUrl(String ipgUrl) {
         this.ipgUrl.set(ipgUrl);
     }

     public String getPublicKey() {
         return publicKey.get();
     }

     public void setPublicKey(String publicKey) {
         this.publicKey.set(publicKey);
     }
 }